AWS IoT Device SDK C++ v2: Aws::Crt::StlAllocator< T > Class Template Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Aws::Crt::StlAllocator< T > Class Template Reference

`#include <StlAllocator.h>`

Inheritance diagram for Aws::Crt::StlAllocator< T >:

## Classes
struct | rebind

## Public Types
using | Base = std::allocator< T >
using | size_type = std::size_t
using | RawPointer = typename std::allocator_traits< std::allocator< T > >::pointer

## Public Member Functions
| StlAllocator () noexcept
| StlAllocator (Allocator *allocator) noexcept
| StlAllocator (const StlAllocator< T > &a) noexcept
template<class U >
| StlAllocator (const StlAllocator< U > &a) noexcept
| ~StlAllocator ()
RawPointer | allocate (size_type n, const void *hint=nullptr)
void | deallocate (RawPointer p, size_type)

## Public Attributes
Allocator * | m_allocator

## Detailed Description

template<typename T>
class Aws::Crt::StlAllocator< T >

Stateful allocator variant that uses an underlying CRT allocator

Template Parameters

  T | type that allocator can allocate

## Member Typedef Documentation

## ◆ Base

template<typename T >

using Aws::Crt::StlAllocator< T >::Base = std::allocator<T>

## ◆ RawPointer

template<typename T >

using Aws::Crt::StlAllocator< T >::RawPointer = typename std::allocator_traits<std::allocator<T> >::pointer

## ◆ size_type

template<typename T >

using Aws::Crt::StlAllocator< T >::size_type = std::size_t

## Constructor & Destructor Documentation

## ◆ StlAllocator() [1/4]

template<typename T >

Aws::Crt::StlAllocator< T >::StlAllocator | ( |  | ) |
| inlinenoexcept

## ◆ StlAllocator() [2/4]

template<typename T >

Aws::Crt::StlAllocator< T >::StlAllocator | ( | Allocator * | allocator | ) |
| inlinenoexcept

## ◆ StlAllocator() [3/4]

template<typename T >

Aws::Crt::StlAllocator< T >::StlAllocator | ( | const StlAllocator< T > & | a | ) |
| inlinenoexcept

## ◆ StlAllocator() [4/4]

template<typename T >
template<class U >

Aws::Crt::StlAllocator< T >::StlAllocator | ( | const StlAllocator< U > & | a | ) |
| inlinenoexcept

## ◆ ~StlAllocator()

template<typename T >

Aws::Crt::StlAllocator< T >::~StlAllocator | ( |  | ) |
| inline

## Member Function Documentation

## ◆ allocate()

template<typename T >

RawPointer Aws::Crt::StlAllocator< T >::allocate | ( | size_type | n,
|  | const void * | hint = `nullptr`
| ) |  |
| inline

## ◆ deallocate()

template<typename T >

void Aws::Crt::StlAllocator< T >::deallocate | ( | RawPointer | p,
|  | size_type |
| ) |  |
| inline

## Member Data Documentation

## ◆ m_allocator

template<typename T >

Allocator* Aws::Crt::StlAllocator< T >::m_allocator

The documentation for this class was generated from the following file:

- crt/aws-crt-cpp/include/aws/crt/StlAllocator.h